search cancel

Intertest CICS for VSE release 6.0 ABEND ASP9 when monitoring a program under VSE 6.2 and CTS 2.2.

book

Article ID: 202364

calendar_today

Updated On:

Products

InterTest VSE - CICS

Issue/Introduction

When the client attempts to monitor a program using Intertest CICS VSE release 6.0 under Z/VSE 6.2.0 and CICS TS FOR VSE 2.2.0 they receive an ASP9 abend.

Intertest CICS intercepts the abend and displays an automatic breakpoint screen. When the user press PF1 for additional information they see the ASP9 abend code.

This error ABEND ASP9 only happens when we put the program under intertest CICS control. 

 

Environment

Z/VSE 6.2.0

CICS TS FOR VSE 2.2.0

Resolution

The client had the required Intertest CICS VSE release 6.0 fixes required for VSE 6.2 and TS 2.2 which are

z/VSE 6.2 6.0 (PTFs TC23600,TC23601,TC23605,TC23606,T561063)

NOTE: T561063 shows up on the fix report as TE61063.

But the client needed to added the NEW Intertest CICS r 6.0 RDO entry below. This new RDO requirement is listed on fix TC23605?

* ***NOTE*** This fix adds a new Intertest module, IN25AI43.
* ***NOTE*** A CSD entry must be added, you can just COPY
* ***NOTE*** entry IN25AI41 as IN25AI43.